Subject: PPP Manual Dial?

From: [email-masked] (Eric Liu)
Date: Tue, 20 Aug 1996 00:43:54 -0600

Hello!  This is more a query than a problem.  Hope someone can help! 
Thanx!

Background: I have gotten 'pppd' to work with a 'chatscript' file. 
However, I would prefer not to have to type my password into the
chatscript file.  Thus...

Query: Is there any way I can manually dial in, login, and initiate PPP,
then ask 'pppd' to start?

--
  Eric Liu ([email-masked]) [ENERGi http://www.ucalgary.ca/~eliu/]

---

From: Jean Orloff <[email-masked]>
Date: Tue, 20 Aug 1996 15:29:37 +0200

>>>>> On Tue, 20 Aug 1996 00:43:54 -0600, [email-masked] (Eric Liu) said:

 Eric> Query: Is there any way I can manually dial in, login, and initiate PPP,
 Eric> then ask 'pppd' to start?

There is a way using minicom, connecting manually, and then issuing C-A Q to
quit minicom without reset, and quickly issuing pppd (without any connect
option) on the same device before the ppp server times out.

However I have a query in the same direction. I'd rather not depend on diald to
set connections up and down (complicated pricing here gets cheaper for longer
calls), but the cycle:

	becoming root
	issuing pppd
	reading /var/log/messages
	killing pppd
	reissuing pppd with another number/chatscript in case it was busy
	etc...

is getting on my nerves (and I won't let my wife or kids do that...). So what I
would like is some graphical front-end to pppd, displaying the status, and
with buttons to start/stop a connection. This could be started by root at boot
time, solving the suid problems. (I tried 
	chmod a+s /usr/sbin/pppd /usr/sbin/chat; 
	chmod a+rx /etc/ppp/chat* 
but no way I could fire a ppp session as a simple mortal user...). Including a
prompt for the password in such a setup would be relatively trivial.

Does anyone know of something of this kind? I vaguely saw a related tool for
diald: a good hint? Come on: we could easily do better than windoze and the
uggly trumpet winsock on this one, and this is a huge selling argument!

Amities,

		Jean Orloff
+++++++++	+	+	+	+	+	+	+	++++++
+Tel:(33)50.09.16.75   Fax:(33)50.09.94.95   http://lapphp0.in2p3.fr/~orloff/+
+++++++++	+	+	+	+	+	+	+	++++++
"The pistol of a flower is its only protections agenst insects."
>From science exams at high-school.
+++++++++	+	+	+	+	+	+	+	+

---

From: Roy C Bixler <[email-masked]>
Date: Tue, 20 Aug 1996 10:08:26 -0500 (CDT)

> then ask 'pppd' to start?

Sure - use 'minicom' and then exit with Alt-Q and start up PPP with
something like 'pppd :' ...

Roy
[email-masked]

---

From: [email-masked] (Emanuele Pucciarelli)
Date: Tue, 20 Aug 1996 14:13:36 +0200 (OIL DST)

> However, I would prefer not to have to type my password into the

I would do:

-----cut-----

#!/bin/sh
echo -n "Type in your password: "
stty -echo
read PASSWORD
echo
stty echo

/usr/sbin/pppd .......

-----cut-----

and you can type $PASSWORD instead of the actual password inside your
script.

Otherwise, you should use minicom or some other comm software to login,
but it would be less comfortable.

/___
/_
/___manuele ([email-masked])

---

From: Mark Phillips <[email-masked]>
Date: Tue, 20 Aug 1996 08:10:25 +1000

>then ask 'pppd' to start?

Yes.  Use minicom to dial in, start ppp, then use ctrl-a q to get out
of minicom, and run pppd with the appropriate options.

Mark Phillips.  ([email-masked])

---

From: Mike Schmitz <[email-masked]>
Date: Tue, 20 Aug 1996 22:26:36 -0700 (PDT)

On Tue, 20 Aug 1996, Jean Orloff wrote

-- extra stuff deleted --

> uggly trumpet winsock on this one, and this is a huge selling argument!

I use TKppp. I believe I got it from sunsite. I made a few modifications 
to suit my personality, but it it is mostly stock. It does auto-redial, 
auto-reconnect, and pings at an interval (user-defined) to keep your ISP 
from shutting you off if you take too long reading your mail :-\.

-------------------------------------------------------------------------------
  If you choose for the lesser of two evils, you assure yourself of an evil.

           Check out the Libertarian Party   http://www.lp.org
 Mike Schmitz    [email-masked]     
http://www.transport.com/~mschmitz

            "To the last I grapple with thee ..." -- Melville
-------------------------------------------------------------------------------

---

From: Todd Tyrone Fries <[email-masked]>
Date: Wed, 21 Aug 1996 14:45:28 -0500 (CDT)

>Eric> Query: Is there any way I can manually dial in, login, and initiat PPP,
> There is a way using minicom,
[...]
> but the cycle:
> is getting on my nerves

It would me too.
> So what I would like is some graphical front-end to pppd, displaying the
> status, and with buttons to start/stop a connection. This could be started
> by root at boot time, solving the suid problems.

This has been done.

> Including a prompt for the password in such a setup would be relatively
> trivial. 

Certainly.
> Does anyone know of something of this kind?
Surething.
> I vaguely saw a related tool for diald
Bingo.  Exactly what I had in mind.

Currently, if you setup diald, you can allow certain users access to the 
fifo that diald runs with. Then they, in turn, could use 'dctrl' which is
a tcl/tk script that shows the current status of the link, allowing you to
bring it up and down.

However, with a chat script, you would have to either
a) ask for the password in advance, write the chat script, and have chat
   do it's thing
b) run chat so that it exits when it gets the 'Password:' prompt, then ask
   the user to enter a password somehow (through a simple X dialog box or
   something) and then echo $PASSWORD ...since the 'chat script' gets stdout
   as the modem, then start a 2nd chat script to continue the connection
c) write another program that will take the place of chat that will allow
   interactive password input 'somehow'  perl, tcl/tk, python come to mind.

Hope this helps.
--
Todd Fries .. [email-masked]